# MPS2 devices example #
This example shows the correct functionality of the MPS2 devices (SCC leds,
switches, user buttons, user leds, touchscreen and graphical LCD).

The application shows the following functionalities:
 - Shows a value via SCC leds (8 leds).
 - The user button 0 increments the value.
 - The user button 1 decrements the value.
 - When the button 0 is pressed, the used LED 0 is switched on and used LED 1
   is switched off.
 - When the button 1 is pressed, the used LED 1 is switched on and used LED 0
   is siwtched off.
 - When the user touchs the center of the touchscreen, the SCC LEDs blinks and
   the graphical LCD changes the image.
   
The example runs in secure mode only. The DOMAIN_NS flag is set to 0 (-D__DOMAIN_NS=0).

# Programming the board #
To program the MPS2 board, follow these steps:
 - Copy the mps2Dev.axf file generated during compilation in <MPS2 device name>/SOFTWARE/
 - Go to <MPS2 device name>/MB/HBI0263<board revision letter>/AN505/ folder
 - Open the <MPS2 device name>/MB/HBI0263<board revision letter>/AN505/images.txt file
 - Update the "TOTALIMAGES: " with "TOTALIMAGES: 1"
 - Add/update the "IMAGE0FILE:" with the location and the binary name. You should have something like this:
     ...
     IMAGE0ADDRESS: 0x00000000
     IMAGE0FILE: \SOFTWARE\mps2Dev.axf
     ...
 - Close the <MPS2 device name>/MB/HBI0263<board revision letter>/AN505/images.txt file
 - Eject the <MPS2 device name> unit
 - Reset the board

# Debugging #
Debugging has only been tested with ULINK Pro Debugger. To enable it, please
follow these steps:
 - Right-click on the project name you want to debug and "Set as Active Project".
 - Go to menu "Project" -> "Options for <project_name>".
 - Go to "Debug" tab and select ULINK Pro Debugger.
 - Go to "Settings" and under the "Debug" tab un-tick both "Cache Options",
   "Cache Code" and "Cache Memory".
 - Under "Flash Download" tab, select "Do not Erase" in "Download Function"
   and un-tick "Program", "Verify" and "Reset and Run".
 - On the main project Window start debugging in "Debug" ->
   "Start/Stop Debug Session".
